Name:          mediastreamer
Version:       2.10.0
Release:       2mamba
Summary:       A GPL licensed library to make audio and video real-time streaming and processing
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.linphone.org/eng/documentation/dev/mediastreamer2.html
Source:        http://download.savannah.gnu.org/releases/linphone/mediastreamer/mediastreamer-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libgcc
BuildRequires: libgsm-devel
BuildRequires: libogg-devel
BuildRequires: libortp-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libspeex-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libtheora-devel
BuildRequires: libv4l-devel
BuildRequires: libvpx-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: libortp-devel >= 0.22
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Mediastreamer2 is a GPL licensed library to make audio and video real-time streaming and processing. Written in pure C, it is based upon the oRTP library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Provides:      libmediastreamer2
Obsoletes:     libmediastreamer2

%description -n lib%{name}
Mediastreamer2 is a GPL licensed library to make audio and video real-time streaming and processing. Written in pure C, it is based upon the oRTP library.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libmediastreamer2-devel
Obsoletes:     libmediastreamer2-devel

%description -n lib%{name}-devel
Mediastreamer2 is a GPL licensed library to make audio and video real-time streaming and processing. Written in pure C, it is based upon the oRTP library.
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%ifarch arm
export CFLAGS="%{optflags} -Wno-unused-function"
%endif
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/mediastream
%{_datadir}/images/nowebcamCIF.jpg

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmediastreamer_base.so.*
%{_libdir}/libmediastreamer_voip.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mediastreamer2
%{_includedir}/mediastreamer2/*.h
%{_libdir}/libmediastreamer_base.la
%{_libdir}/libmediastreamer_base.so
%{_libdir}/libmediastreamer_voip.la
%{_libdir}/libmediastreamer_voip.so
%{_libdir}/pkgconfig/mediastreamer.pc
%dir %{_datadir}/doc/mediastreamer-*
%dir %{_datadir}/doc/mediastreamer-*/html
%{_datadir}/doc/mediastreamer-*/html/*
#%doc ChangeLog NEWS README

%changelog
* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-2mamba
- ffmpeg 2.2 rebuild

* Wed Feb 26 2014 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic update by autodist

* Fri Jun 21 2013 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.2-1mamba
- package created by autospec
